const API = require("../../lib/API");
const { BaseStdResponse } = require("../../BaseStdResponse");

class GetAppVersion extends API {
    constructor() {
        super();

        this.setPath('/Public/GetAppVersion')
        this.setMethod('GET')
    }

    async onRequest(req, res) {
        res.json({
            ...BaseStdResponse.OK,
            data: {
                version: '1.9',
                msg: '\n更新内容：\n修复部分bug，优化用户体验'
            }
        })
    }
}

module.exports.GetAppVersion = GetAppVersion